Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
f-spot 0.6.0.0
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hrnick
Guru
Guru


Joined: 31 Aug 2002
Posts: 304
Location: Linköping, Sweden

PostPosted: Sun Aug 09, 2009 9:55 pm    Post subject: f-spot 0.6.0.0 Reply with quote

I have some problems with the latest version of f-spot, v0.6.0 (not in portage at the moment). I get the following error message when I try to start it:
Code:
$ f-spot
** No session dbus found. Starting one **
Moving /home/hrnick/.gnome2/f-spot to /home/hrnick/.config/

(/usr/lib/f-spot/f-spot.exe:20448): GLib-GObject-CRITICAL **: gtype.c:2458: initialization assertion failed, use IA__g_type_init() prior to this function

(/usr/lib/f-spot/f-spot.exe:20448): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed

(/usr/lib/f-spot/f-spot.exe:20448): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed
Stacktrace:

  at (wrapper managed-to-native) GConf.Client.gconf_client_get_default () <0x00004>
  at (wrapper managed-to-native) GConf.Client.gconf_client_get_default () <0xffffffff>
  at GConf.Client..ctor () <0x00046>
  at FSpot.Platform.PreferenceBackend.get_Client () <0x00039>
  at FSpot.Platform.PreferenceBackend.AddNotify (string,System.EventHandler`1<FSpot.NotifyEventArgs>) <0x00069>
  at FSpot.Preferences.get_Backend () <0x00087>
  at FSpot.Preferences.TryGet<object> (string,object&) <0x00097>
  at FSpot.Preferences.Get<object> (string) <0x00043>
  at FSpot.Driver.Main (string[]) <0x0019b>
  at (wrapper runtime-invoke) FSpot.Driver.runtime_invoke_int_object (object,intptr,intptr,intptr) <0xffffffff>

Native stacktrace:

   mono [0x80c7dc3]
   mono [0x80f095e]
   [0xb7fd340c]
   [0xb768f697]
   [0xb768f60a]
   [0xb768f242]
   [0xb768f110]
   [0xb768ed58]
   [0xb768c7a4]
   [0xb7685484]
   [0xb7685203]
   mono(mono_runtime_exec_main+0x166) [0x8160a63]
   mono(mono_runtime_run_main+0x16e) [0x816112f]
   mono(mono_main+0x1b8d) [0x80b0ced]
   mono [0x805b50d]
   /lib/libc.so.6(__libc_start_main+0xe5) [0xb7d4aa65]
   mono [0x805b441]

Debug info from gdb:


=================================================================
Got a SIGSEGV while executing native code. This usually indicates
a fatal error in the mono runtime or one of the native libraries
used by your application.
=================================================================

Aborted


I did 'emerge f-spot -e' but it didn't work. All the dependencies found here should be installed. I simply copied the old ebuild and put it into my portage overlay.

Any ideas?
Back to top
View user's profile Send private message
hrnick
Guru
Guru


Joined: 31 Aug 2002
Posts: 304
Location: Linköping, Sweden

PostPosted: Mon Aug 17, 2009 4:49 pm    Post subject: Reply with quote

I have the same problem with the ebuild in portage. Any ideas?

Does this mean that this thread should be moved from unsupported software to multimedia?
Back to top
View user's profile Send private message
hrnick
Guru
Guru


Joined: 31 Aug 2002
Posts: 304
Location: Linköping, Sweden

PostPosted: Tue Aug 18, 2009 4:12 pm    Post subject: Reply with quote

'emerge world -e' didn't work either.
Back to top
View user's profile Send private message
hrnick
Guru
Guru


Joined: 31 Aug 2002
Posts: 304
Location: Linköping, Sweden

PostPosted: Thu Aug 27, 2009 10:46 am    Post subject: Reply with quote

Same thing with 0.6.1.1...
Back to top
View user's profile Send private message
hrnick
Guru
Guru


Joined: 31 Aug 2002
Posts: 304
Location: Linköping, Sweden

PostPosted: Mon Aug 31, 2009 10:16 pm    Post subject: Reply with quote

I've created a bug report here if someone is interested.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum